///////////////////////////////////////////////////////////////////////////
//
// loadFlyout - first method called when Flyout loads
//
///////////////////////////////////////////////////////////////////////////
function loadFlyout() {   
    // main flyout onload method (first method called every time 
    // the flyout is loaded)
	var globaltheme ="";
	var globalshowtxt ="";
	var flyoutwidth = 260;
    var flyoutheight = 230;
    var skinPath = "images/skins/"
    var numPath = "images/"
    var aSkins = new Array("Skin1", "Skin2");
	globaltheme = System.Gadget.Settings.read("theme");      // read settings data
	globalshowtxt = System.Gadget.Settings.read("showtxt");  // read settings data
	skinNo = System.Gadget.Settings.read("gSkin");
    // set flyout document styles
    document.body.style.width = flyoutwidth + "px"; //260
    document.body.style.height = flyoutheight + "px"; //230
    document.body.style.backgroundImage = "url(" + skinPath + aSkins[skinNo] + "BG.png)";
    // * NOTE - the above flyout document width and height settings 
    //          should be set to the same dimensions as the size of 
    //          the above background image.

    // set main flyout frame styles (main flyout area minus outer frame)
    flyoutMainFrame.style.width =  flyoutwidth  - 10 + "px";//250
    flyoutMainFrame.style.height = flyoutheight - 10 + "px";//220
    
    // set content frame styles (main flyout content area)
    flyoutContentFrame.style.width =  flyoutwidth  - 10 + "px";//250
    flyoutContentFrame.style.height = flyoutheight - 10 + "px";//220
    
    renderFlyoutData();
    

}
///////////////////////////////////////////////////////////////////////////
function renderFlyoutData()
{
    // If there are no settings, prompt the user to enter them
    if (System.Gadget.document.parentWindow.globalLogon == "")
    {
        document.getElementById("flyoutPlanDetails").innerHTML = "Check Settings";
        document.getElementById("flyoutInfoLine1").innerHTML = "The settings for the gadget need to be configured, please close the flyout and right click on the main gadget and choose 'options' from the menu";
    }
    else
    {
    
        if (System.Gadget.document.parentWindow.globalError == "1")
        {
            // An error has occurred. Put the error text returned from Optus in the flyout
            document.getElementById("flyoutPlanDetails").innerHTML = "Error occurred";
            document.getElementById("flyoutInfoLine1").innerHTML = "Error Number : " + System.Gadget.document.parentWindow.globalError;
            document.getElementById("flyoutInfoLine2").innerHTML = "Error Reason : " + System.Gadget.document.parentWindow.globalErrorMsg;
            document.getElementById("flyoutInfoLine4").innerHTML = "Please check the username and password in the settings";
        }
        else
        {
            document.getElementById("flyoutPlanDetails").innerHTML = System.Gadget.document.parentWindow.ealink + "Battlefield 2 Stats</a>";
            document.getElementById("flyoutInfoLine1").innerHTML = "Current Rank:   <b>" + System.Gadget.document.parentWindow.currank;
            document.getElementById("flyoutInfoLine2").innerHTML = "Next Rank:      <b>" + System.Gadget.document.parentWindow.nextrank;
            document.getElementById("flyoutInfoLine3").innerHTML = "Global Score:   <b>" + System.Gadget.document.parentWindow.globalscore; 
            document.getElementById("flyoutInfoLine4").innerHTML = "Teamwork Score: <b>" + System.Gadget.document.parentWindow.teamwork;
            document.getElementById("flyoutInfoLine5").innerHTML = "Combat Score:   <b>" + System.Gadget.document.parentWindow.globalcareer; 
            document.getElementById("flyoutInfoLine6").innerHTML = "Points Till Next Rank:   <b>" + System.Gadget.document.parentWindow.progress; 
            document.getElementById("flyoutInfoLine7").innerHTML = "Kills:         <b>" + System.Gadget.document.parentWindow.kills; 
            document.getElementById("flyoutInfoLine8").innerHTML = "Deaths:        <b>" + System.Gadget.document.parentWindow.deaths;
            document.getElementById("flyoutInfoLine9").innerHTML = "K.D.R:          <b>" + System.Gadget.document.parentWindow.kdr;
            document.getElementById("flyoutInfoLine10").innerHTML = "Accuracy:      <b>" + System.Gadget.document.parentWindow.accuracy;
            document.getElementById("flyoutInfoLine11").innerHTML = "Won/Lost:        <b>" + System.Gadget.document.parentWindow.wonlost;
            document.getElementById("flyoutInfoLine12").innerHTML = "Time Played:    <b>" + System.Gadget.document.parentWindow.bftime; 



        }
    }
}
