//
// BF2 Stats
// Author: Lawrence James
// Contributor: DrD
// First skin image by sfkilla, you'll find his forum at http://www.betanetwork.net/hobbylounge/ 
///////////////////////////////////////////////////////////////////////////////////////////////////

var _bIntervalsSet=         false;  var _RefreshIntervalID;
var globalscore;
var globalcareer;
var teamwork;
var bestround;
var kdr;
var bftime;
var bfdays;
var kills;
var currank;
var nextrank;
var deaths;
var accuracy;
var nickname;
var progress;
var dockbgnum;
var globalLogon ="";
var globalshowtxt ="";
	
function SetRefreshIntervals() { // Activate main gadget timer
if (!_bIntervalsSet)
{_RefreshIntervalID = setInterval(getData, 3600000);_bIntervalsSet = true;}}

function ClearRefreshIntervals() { // Deactivate the main gadget timer
if (_bIntervalsSet)
{clearInterval(_RefreshIntervalID);_bIntervalsSet = false;}}

function loadMain() { // loadMain - first method called when gadget loads/reloads
	//Variables
    System.Gadget.Flyout.file = "flyout.htm";       // set flyout page
    System.Gadget.settingsUI = "settings.htm";                              // set settings page
    System.Gadget.onSettingsClosed = procSettingsClosedEvent;               // set settings onclosed method

    genDocked();
}
///////////////////////////////////////////////////////////////////////////////////////////////////
function procSettingsClosedEvent(event){
    // process settings closed event
   if (event.closeAction == event.Action.commit) {
       loadMain();
   }
}
///////////////////////////////////////////////////////////////////////////////////////////////////
function genDocked()
{   // gen docked gadget layout

    // Read the  the settings
	globalLogon = System.Gadget.Settings.read("Logon");            		    // read settings data
	globalshowtxt = System.Gadget.Settings.read("showtxt");            		    // read settings data
	skinNo = System.Gadget.Settings.read("gSkin");
	//skin stuff
	var skinPath = "images/skins/"
    var numPath = "images/"
    var aSkins = new Array("Skin1", "Skin2", "Skin3", "Skin4", "Skin5", "Skin6");
	
			if (skinNo == "")
		{ 
            skinNo = 0;
			System.Gadget.Settings.write("gSkin", skinNo);
		}
	else
		{	
			skinNo = System.Gadget.Settings.read("gSkin");
		}
    // set gadget document styles
    document.body.style.width = "130px";                                            // set total gadget width
    document.body.style.height = "112px";                                           // set total gadget height
    
    document.body.style.backgroundImage="url(" + skinPath + aSkins[skinNo] + ".png)";     // set gadget background image
    //document.body.style.backgroundImage="url(images/skins/Skin1.png)";     // set gadget background image

    // * NOTE - the above gadget document width and height settings should be set 
    //          to the same dimensions as the size of the above background image.

    // set main gadget frame styles (main gadget area minus above background frame)
    gadgetMainFrame.style.width = "130px";                                          // set main frame width
    gadgetMainFrame.style.height = "107px";                                         // set main frame height
    
    // set content frame styles (main gadget content area)
    gadgetContentFrame.style.width = "120px";                                       // set content frame width
    gadgetContentFrame.style.height = "107px"; 					    // set content frame height
   
    // set gadget content visibility
    gadgetContentFrameDocked.style.display = "block";                               // display docked content
    gadgetContentFrameUndocked.style.display = "none";                              // hide undocked content        
    if (globalLogon == "")
    {
        // Logon details are empty, tell users to configure
        document.getElementById("dockedLine1").innerHTML = " Enter Settings";
        document.getElementById("dockedLine2").innerHTML = "";    
        document.getElementById("dockedLine3").innerHTML = ""; 
        document.getElementById("dockedLine4").innerHTML = ""; 	            
        document.getElementById("aPictureImg").src="images/blank.png";
   
    }
    else
    {
        document.getElementById("dockedLine1").innerHTML = "Loading...";
        document.getElementById("dockedLine2").innerHTML = ""; 
        document.getElementById("dockedLine3").innerHTML = ""; 
        document.getElementById("dockedLine4").innerHTML = "";
        document.getElementById("aPictureImg").src="images/blank.png";
        getData();
     }
}

/////////////////////////////////////////////////////////////////////
//
// getData() - Gets the data for bf2 from EA
//
/////////////////////////////////////////////////////////////////////
function getData()
{
	XMLHttp = new ActiveXObject("Microsoft.XMLHTTP");
	globalURL = "http://bf2s.com/player/" + globalLogon + "/";

    XMLHttp.onreadystatechange = function() 
    {
	        if (XMLHttp.readyState == 4)
	        {
                if (XMLHttp.status == 200) 
			    {
			    parseData();
			    }
			    else 
			    {
                document.getElementById("dockedLine1").innerHTML = "Error";
                document.getElementById("dockedLine2").innerHTML = "Check"; 
                document.getElementById("dockedLine3").innerHTML = "Settings";
                document.getElementById("dockedLine4").innerHTML = "";
	            document.getElementById("aPictureImg").src="images/blank.png";
			    }
		    }
    }
    XMLHttp.open("POST", globalURL, true);
	XMLHttp.setRequestHeader("If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT");
	XMLHttp.send(null); 

	SetRefreshIntervals()	
}
    
function parseData()
{
	        // Split up the large Array into seperate lines by the carriage return
            	var Results = XMLHttp.responsetext;
			if(Results.indexOf("Player is not in the database. ")>0||Results.indexOf("Please, set a PID before trying to load stats.")>0)  
			{
				//Error
				document.getElementById("dockedLine1").innerHTML = "Incorrect";
	            document.getElementById("dockedLine2").innerHTML = "PID";
	            document.getElementById("dockedLine3").innerHTML = "";
	            document.getElementById("dockedLine4").innerHTML = "";
	            document.getElementById("aPictureImg").src="images/blank.png";
			}
			else
			{	
			  	var subStringFirstPart;
	                    	var subStringSecondPart;
	                    	var subStringOffpeakUsage;	                    

				            //get score first part
		                    subStringFirstPart = Results.indexOf("Global");
				            subStringSecondPart = Results.indexOf("</tr>" , subStringFirstPart);
				            var dockbgnumfirstpart = Results.substring(subStringSecondPart, subStringFirstPart)
				
				            //get score second part		
		                    subStringFirstPart = dockbgnumfirstpart.indexOf("<td>");
                            subStringSecondPart = dockbgnumfirstpart.indexOf("</td>" , subStringFirstPart)
                            globalscore = dockbgnumfirstpart.substring(subStringFirstPart, subStringSecondPart)

                            //nickname
	                    	subStringFirstPart = Results.indexOf("<title>") +7;
	                    	subStringSecondPart = Results.indexOf(" ", subStringFirstPart);
	                    	nickname = Results.substring(subStringFirstPart, subStringSecondPart); 
	                    	nicknameorig = Results.substring(subStringFirstPart, subStringSecondPart); 
	                    	if (nickname.match("W3C")){nickname="Error"}
	                    
	                    	// THIS IS COMBAT
	                    	subStringFirstPart = Results.indexOf("Combat</td>") + 22;
	                    	subStringSecondPart = Results.indexOf("</td>", subStringFirstPart);
	                    	globalcareer = Results.substring(subStringFirstPart, subStringSecondPart); 

	                    	// teamwork
	                    	subStringFirstPart = Results.indexOf("Team</td>") + 20;
	                    	subStringSecondPart = Results.indexOf("</td>", subStringFirstPart);
	                    	teamwork= Results.substring(subStringFirstPart, subStringSecondPart); 

	                    	// kdr
	                    	subStringFirstPart = Results.indexOf("K/D Ratio</td>") + 25;
	                    	subStringSecondPart = Results.indexOf("</td>", subStringFirstPart);
	                    	kdr= Results.substring(subStringFirstPart, subStringSecondPart); 
	                    	
	                    	//get time first part
		                    subStringFirstPart = Results.indexOf("Lone Wolf ") +60;
				            subStringSecondPart = Results.indexOf("</table>" , subStringFirstPart);
				            var dockbgnumfirstpart = Results.substring(subStringSecondPart, subStringFirstPart)
				
				            //get time second part		
		                    subStringFirstPart = dockbgnumfirstpart.indexOf("nowrap") + 16;
                            subStringSecondPart = dockbgnumfirstpart.indexOf("</td>" , subStringFirstPart)
                            bftime = dockbgnumfirstpart.substring(subStringFirstPart, subStringSecondPart)

	                    	// kills
	                    	subStringFirstPart = Results.indexOf("Accounts for 100") + 32;
	                    	subStringSecondPart = Results.indexOf("</span>", subStringFirstPart);
	                    	kills= Results.substring(subStringFirstPart, subStringSecondPart); 

	                    	// currank
	                    	subStringFirstPart = Results.indexOf(nicknameorig + "<small>") + nicknameorig.length + 8;
	                    	subStringSecondPart = Results.indexOf("</small>", subStringFirstPart);
	                    	currank= Results.substring(subStringFirstPart, subStringSecondPart); 
	                    	if (currank.match("W3C")){currank="Broke Rank"}

	                    	// nextrank
	                    	subStringFirstPart = Results.indexOf("Next Rank:") + 10;
	                    	subStringSecondPart = Results.indexOf("</strong>", subStringFirstPart);
	                    	nextrank= Results.substring(subStringFirstPart, subStringSecondPart); 
	                    	if (nextrank.match("W3C")){nextrank="None"}

	                    	// deaths
	                    	subStringFirstPart = Results.indexOf("100% of all kills") + kills.length + 40;
	                    	subStringSecondPart = Results.indexOf("</td>", subStringFirstPart);
	                    	deaths= Results.substring(subStringFirstPart, subStringSecondPart); 

	                    	// accuracy
	                    	subStringFirstPart = Results.indexOf("Accuracy</td>") + 20;
	                    	subStringSecondPart = Results.indexOf("</td>", subStringFirstPart);
	                    	accuracy= Results.substring(subStringFirstPart, subStringSecondPart); 
                            
                            // wonlost
	                    	subStringFirstPart = Results.indexOf("Wins &amp; Losses") + 33;
	                    	subStringSecondPart = Results.indexOf("&nbsp;", subStringFirstPart);
	                    	var won= Results.substring(subStringFirstPart, subStringSecondPart); 
	                    	
	                    	// wonlost
	                    	subStringFirstPart = Results.indexOf("Wins &amp; Losses") + 33 + won.length + 13;
	                    	subStringSecondPart = Results.indexOf("&nbsp;", subStringFirstPart);
	                    	var lost= Results.substring(subStringFirstPart, subStringSecondPart);
	                    	
	                    	wonlost=won + " / " + lost ;
	                    	
	                    	// Captured Points
	                    	subStringFirstPart = Results.indexOf("Captured CP </td>") + 28;
	                    	subStringSecondPart = Results.indexOf("</td>", subStringFirstPart);
	                    	cp= Results.substring(subStringFirstPart, subStringSecondPart); 

	                    	// progress
	                    	subStringFirstPart = Results.indexOf("you should earn") + 16;
	                    	subStringSecondPart = Results.indexOf("in", subStringFirstPart);
	                    	progress= Results.substring(subStringFirstPart, subStringSecondPart -1);
	                    	if (progress.match("W3C")){progress="None"} 
	                    	
			    	// All ok. display details on sidebar and set whether to display txt or not
				if (globalshowtxt==true){
				            if (nickname.length>19) 
				            {nickname=nickname.substring(0,17) + ".."}	
	                    	document.getElementById("dockedLine1").innerHTML = nickname;
	                    	document.getElementById("dockedLine2").innerHTML = currank;
	                    	document.getElementById("dockedLine3").innerHTML = "Score: " + globalscore;
	                    	document.getElementById("dockedLine4").innerHTML = "Till Next Rank: " + progress;}
				else{
	                    	document.getElementById("dockedLine1").innerHTML = "";
	                    	document.getElementById("dockedLine2").innerHTML = "";
	                    	document.getElementById("dockedLine3").innerHTML = "";
	                    	document.getElementById("dockedLine4").innerHTML = "";}
				

				// Set image
				
				//get image first part
		        subStringFirstPart = Results.indexOf("ranks/header/");
				subStringSecondPart = Results.indexOf("png" , subStringFirstPart);
				var dockbgnumfirstpart = Results.substring(subStringSecondPart, subStringFirstPart)
				
				//get image second part		
		        subStringFirstPart = dockbgnumfirstpart.indexOf("rank_") +5;
                subStringSecondPart = dockbgnumfirstpart.indexOf("." , subStringFirstPart)
                dockbgnum = dockbgnumfirstpart.substring(subStringFirstPart, subStringSecondPart)
                //define whwere pics are located
				var pictureURL = "images/ranks/rank_" + dockbgnum + ".png";
				document.getElementById("aPictureImg").src= pictureURL; //display the picture
				// set whether picture is big or small
				if (globalshowtxt==true){
				document.getElementById("aPictureImg").width="50"; //scale the picture
				document.getElementById("aPictureImg").height="50";
 				document.getElementById("aPictureImg").style.left="34px";//set location
				document.getElementById("aPictureImg").style.top="30px";}
				else {
				document.getElementById("aPictureImg").width="100"; //scale the picture
				document.getElementById("aPictureImg").height="95";
 				document.getElementById("aPictureImg").style.left="12px"; //set location
				document.getElementById("aPictureImg").style.top="2px";}
				
				//Set Hyperlink
				ealink = "<a href=\"" + globalURL + "\" target=\"_blank\">";
	               	} 
}