///////////////////////////////////////////////////////////////////////////////////////////////////
//
// loadSettings - first method called when Settings page loads
//
///////////////////////////////////////////////////////////////////////////////////////////////////
    //skinstuff
var mySkinNo = System.Gadget.Settings.read("gSkin");
var aSkins = new Array("Skin1", "Skin2", "Skin3", "Skin4", "Skin5", "Skin6");
var count = 0;  // number of skins found
var maxSkins = aSkins.length;
var currentSkinNo = 0;  // the current skin selected
var imageSkinPath = "images/skins/"
var imageButtonPath = "images/buttons/";
var noshow = "";

System.Gadget.onSettingsClosing = procSettingsClosingEvent;                 // set settings page closing event

function updateSkin()
{
	imgSkin.src = imageSkinPath + aSkins[currentSkinNo] + ".png";
	divCount.innerText=(currentSkinNo + 1) + " / " + maxSkins;
	divName.innerText = aSkins[currentSkinNo];
}

// Change a IMG source
function ChangeIMG(imagesource, imagename)
{
	document.getElementById(imagesource).src= imageButtonPath + imagename;
}


// Display the next Skin
function nextSkin()
{
	currentSkinNo = (currentSkinNo+1) % count;
	updateSkin();
}

		
// Display the previous Skin
function previousSkin()
{
	currentSkinNo = (currentSkinNo-1+count) % count;
	updateSkin();
}

    // init event methods

function loadSettings() {   
    // main Setting page onload method (first method called every time the Settings page is loaded)
    
    	count = maxSkins-1;
	
	if (mySkinNo >= 0 || mySkinNo <= count)
		{
			currentSkinNo = mySkinNo;
		}
	else 
		{
			mySkinNo = 0;
			currentSkinNo = mySkinNo;
		}
	
	count++;
	updateSkin();

    // get settings data
    var gSettingsLogon = System.Gadget.Settings.read("Logon");             // read settings data
    var gSettingsshowtxt = System.Gadget.Settings.read("showtxt");         // read settings data

    // add data to Settings page
      txtLogon.value = gSettingsLogon;                                     // place the logon details into the textbox
      txtshowtxt.checked = gSettingsshowtxt; 
}
///////////////////////////////////////////////////////////////////////////////////////////////////
//
// procSettingsClosingEvent - process settings page closing event
//
///////////////////////////////////////////////////////////////////////////////////////////////////
function procSettingsClosingEvent(event){
    // process settings page closing event
    if (event.closeAction == event.Action.commit) {
        // save settings
        gSettingsLogon = txtLogon.value;  
        gSettingsshowtxt = txtshowtxt.checked; 
        
        System.Gadget.Settings.write("Logon", gSettingsLogon); 
        System.Gadget.Settings.write("showtxt", gSettingsshowtxt); 
        System.Gadget.Settings.write("gSkin", currentSkinNo);
    }
    event.cancel = false;    
}
///////////////////////////////////////////////////////////////////////////////////////////////////